Subject: [netatalk-admins] afp_write: ad_write: Bad file descriptor

From: Luke Kelly <[email-masked]>
Date: Thu, 19 Feb 1998 11:08:47 -0600 (CST)

Hello, I'm not sure if this is the right place for this question, so
please excuse my interruption.

I administer a freeBSD machine that uses netatalk to store files from a
Mac BBS.  Users log into the BBS and share a single netatalk user to store
files in internet accessible areas.  This set-up recently switched from
Linux to freeBSD and with the change, I've heard complaints from users
that large files are not transferring properly.  I've tested and found
this error relative to the problem:

Feb 18 17:04:18 zr2 afpd[156]: afp_write: ad_write: Bad file descriptor

The strange thing is that only a handful of users report this problem and
others have no problems whatsoever-- nevertheless, it is consistent with
certain macs.

I guess I'm looking for pointers or any information that can get me headed
in the right direction.  Thanks for you time, and if you don't mind please
CC any discussion to <[email-masked]>.  Thanks again.

Luke Kelly